WhatsApp is no more available for older Android versions

0

As announced before, WhatsApp Inc. stopped the support for older Android, iOS, Blackberry versions. Starting January 1, you won’t be able to access WhatsApp from Android Froyo running devices or older. So it is now official that WhatsApp services are no more available for Android 2.2 or older versions.

According to the reports from Google, around  0.1 percent of total Android devices are running on Froyo (Android 2.2). So it is won’t make a big impact in the Android world. We can neglect this very low number of users for good sake. If you still want to enjoy WhatsApp services, grab a new phone. According to WhatsApp, these changes are mainly focused on integrating the end to end encryption and other add-on features more deeply and effectively. In order to ensure the security, they have to stop support for older platforms.

We have seen some announcement from WhatsApp which promises to release new features in 2017. So this might be a preparation for that. Anyway, let’s wait for the amazing features on our WhatsApp app.
We’ve disabled the commenting system due to some issues, sorry for the inconvenience.

You might also like More from author

Leave a Reply